model Ex2_30
parameter Real hi(unit = "W/sq m.K)")=75"inside heat transfer coefficient ";
parameter Real x1(unit = "m")=0.2"thickness of chrome brick";
parameter Real x2(unit = "m")=0.1"Thicknes of koalin brick";
parameter Real x3(unit = "m")=0.1"Thicknes of masonary brick";
parameter Real T1(unit = "K")=1943"temperature of gases";
parameter Real k1(unit = "W/m.K")=1.25"K for chrome brick";
parameter Real k2(unit = "W/m.K")=0.074"K for koalin brick" ;
parameter Real k3(unit = "W/m.K")=0.555"K for masonary brick";
parameter Real T2(unit = "K")=343"Outer Surface";
parameter Real A(unit = "sq m")=1"Area";
Real sigma_R(unit = "K/W")"Resistance";
Real Q(unit = "W")"Heat loss per meter square";
Real T(unit = "K")"Temperature between chrome brick & masonary brick  ";
Real Tdash(unit = "K")"Temperature at outer surface of middle layer";
equation
sigma_R=1/(hi*A)+x1/(k1*A)+x2/(k2*A)+x3/(k3*A);
//Heat loss per i sq m
Q=(T1-T2)/sigma_R;    
T=T1-(Q*(1/(hi*A)+x1/(k1*A)));    
Tdash=T2+(Q*x3/(k3*A));  
end Ex2_30;
